import { networkRegistry as e } from "../common/src/constants/chains.constants.mjs";
import { LoginMessageMode as t } from "../common/src/types/hinkal.types.mjs";
import "../common/src/types/index.mjs";
import { subscribeToBalanceChange as n } from "../common/src/functions/web3/events/balanceChangedHandler.mjs";
import { Hinkal as r } from "../common/src/data-structures/Hinkal/Hinkal.mjs";
//#region libs/shared/sdk/src/services/Hinkal.ts
var i = class {
	hinkalCommon;
	constructor(e) {
		this.hinkalCommon = new r(e);
	}
	getProviderAdapter(e) {
		return this.hinkalCommon.getProviderAdapter(e);
	}
	initProviderAdapter(e, t) {
		return this.hinkalCommon.initProviderAdapter(e, t);
	}
	initUserKeys(e = t.PROTOCOL) {
		return this.hinkalCommon.initUserKeys(e);
	}
	initUserKeysWithSignature(e) {
		return this.hinkalCommon.initUserKeysWithSignature(e);
	}
	initUserKeysFromSeedPhrases(e) {
		return this.hinkalCommon.initUserKeysFromSeedPhrases(e);
	}
	resetProviderAdapters() {
		return this.hinkalCommon.resetProviderAdapters();
	}
	disconnectFromConnector() {
		return this.hinkalCommon.disconnectFromConnector();
	}
	signMessage(e) {
		return this.hinkalCommon.signMessage(e);
	}
	signTypedData(e, t, n) {
		return this.hinkalCommon.signTypedData(e, t, n);
	}
	getSupportedChains() {
		return this.hinkalCommon.getSupportedChains();
	}
	isSelectedNetworkSupported(e) {
		return this.hinkalCommon.isSelectedNetworkSupported(e);
	}
	switchNetwork(t) {
		let n = e[t];
		if (!n) throw Error(`Network with chainId ${t} not supported`);
		return this.hinkalCommon.switchNetwork(n);
	}
	resetMerkle(e) {
		return this.hinkalCommon.resetMerkle(e);
	}
	resetMerkleTreesIfNecessary(e) {
		return this.hinkalCommon.resetMerkleTreesIfNecessary(e);
	}
	onBalanceRefresh(e) {
		return n(e);
	}
	getTotalBalance(e, t = !1, n = !1) {
		return this.hinkalCommon.getTotalBalance(e, void 0, void 0, t, n);
	}
	getStuckShieldedBalances(e, t = !1, n = !1) {
		return this.hinkalCommon.getStuckShieldedBalances(e, void 0, void 0, t, n);
	}
	monitorConnectedAddress(e) {
		return this.hinkalCommon.monitorConnectedAddress(e);
	}
	getSupportedPassportLinks() {
		return this.hinkalCommon.getSupportedPassportLinks();
	}
	checkAccessToken(e, t) {
		return this.hinkalCommon.checkAccessToken(e, t);
	}
	waitForTransaction(e, t, n) {
		return this.hinkalCommon.waitForTransaction(e, t, n);
	}
	getSolanaPublicKey() {
		return this.hinkalCommon.getSolanaPublicKey();
	}
	getEthereumAddress() {
		return this.hinkalCommon.getEthereumAddress();
	}
	getEthereumAddressByChain(e) {
		return this.hinkalCommon.getEthereumAddressByChain(e);
	}
	getRecipientInfo() {
		return this.hinkalCommon.getRecipientInfo();
	}
	getShieldedPublicKey() {
		return this.hinkalCommon.userKeys.getShieldedPublicKey();
	}
	prooflessDeposit(e, t, n) {
		return this.hinkalCommon.prooflessDeposit(e, t, n);
	}
	deposit(e, t, n, r) {
		return this.hinkalCommon.deposit(e, t, n, r);
	}
	depositSolana(e, t) {
		return this.hinkalCommon.depositSolana(e, t);
	}
	depositForOther(e, t, n, r, i) {
		return this.hinkalCommon.depositForOther(e, t, n, r, i);
	}
	depositSolanaForOther(e, t, n) {
		return this.hinkalCommon.depositSolanaForOther(e, t, n);
	}
	depositAndWithdraw(e, t, n, r, i, a) {
		return this.hinkalCommon.depositAndWithdraw(e, t, n, r, i, void 0, void 0, void 0, a);
	}
	depositAndBridge(e, t, n, r, i) {
		return this.hinkalCommon.depositAndBridge(e, t, n, r, void 0, void 0, void 0, i);
	}
	claimUtxo(e, t, n) {
		return this.hinkalCommon.claimUtxo(e, t, n);
	}
	transfer(e, t, n, r, i) {
		return this.hinkalCommon.transfer(e, t, n, r, i);
	}
	withdraw(e, t, n, r, i, a) {
		return this.hinkalCommon.withdraw(e, t, n, r, i, a);
	}
	withdrawStuckUtxos(e, t) {
		return this.hinkalCommon.withdrawStuckUtxos(e, t);
	}
	swap(e, t, n, r, i, a) {
		return this.hinkalCommon.swap(e, t, n, r, i, a);
	}
	actionPrivateWallet(e, t, n, r, i, a, o, s, c) {
		return this.hinkalCommon.actionPrivateWallet(e, t, n, r, i, a, o, s, c);
	}
	proxySwap(e, t, n, r, i, a, o, s) {
		return this.hinkalCommon.proxySwap(e, t, n, r, i, a, o, s);
	}
	proxyToPrivate(e, t, n, r, i, a) {
		return this.hinkalCommon.proxyToPrivate(e, t, n, r, i, a);
	}
	proxySend(e, t, n, r, i, a) {
		return this.hinkalCommon.proxySend(e, t, n, r, i, a);
	}
};
//#endregion
export { i as Hinkal };
